StatsHub Docs
APIAPI v2V2 endpoint referenceTeams

/teams/{teamId}/profile

Preserves the complete team-detail contract while treating the path segment as the same provider id used by canonical v2 team resources.

GET
/teams/{teamId}/profile

Preserves the complete team-detail contract while treating the path segment as the same provider id used by canonical v2 team resources.

Path Parameters

teamId*string

Query Parameters

include?array<string>|null
idType?string

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/teams/string/profile"
{  "data": {    "team": {      "categoryId": 0,      "countrySlug": "string",      "foundationdate": "string",      "gender": "string",      "id": 0,      "internalId": 0,      "name": "string",      "national": true,      "shortname": "string",      "slug": "string",      "teamcolorsprimary": "string",      "teamcolorssecondary": "string",      "teamcolorstext": "string",      "tournamentId": 0,      "usercount": 0,      "venueId": 0    },    "tournaments": {      "ai_analysis_allowed": true,      "categoryId": 0,      "competitionType": 0,      "heatmapLoad": true,      "id": 0,      "internalId": 0,      "isAlt": true,      "isFavorite": true,      "isGroup": true,      "isLive": true,      "isNational": true,      "name": "string",      "onForTelegramBot": true,      "predictlineup_allowed": true,      "priority": 0,      "shotmapLoad": true,      "shouldShow": true,      "slug": "string",      "uniqueTournamentId": 0,      "viewPriority": 0    }  },  "seoData": {    "averageBallPossession": "string",    "cleanSheets": 0,    "draws": 0,    "goalsConceded": 0,    "goalsScored": 0,    "losses": 0,    "matches": 0,    "points": 0,    "position": 0,    "scoresAgainst": 0,    "scoresFor": 0,    "seasonId": 0,    "seasonName": "string",    "seasonYear": "string",    "shotsOnTarget": 0,    "topScorer": {      "goals": 0,      "internalId": 0,      "name": "string",      "slug": "string"    },    "wins": 0  }}